"""
This module defines the Celery_ app for gvafile.

.. _Celery: http://www.celeryproject.org/

"""
from __future__ import absolute_import

import os

from celery import Celery

from django.conf import settings

os.environ.setdefault('DJANGO_SETTINGS_MODULE',
                      'gvafile.settings.production')


#: The Celery application
app = Celery('gvafile')

app.config_from_object('django.conf:settings')
app.autodiscover_tasks(lambda: settings.INSTALLED_APPS)
